%define libxft %mklibname xft 2
%define develname %mklibname -d xft
%define staticdevelname %mklibname -d -s xft

Name: libxft
Summary:  X FreeType library
Version: 2.3.2
Release: %mkrel 3
Group: System/Libraries
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXft-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
#-------------------------------------
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: libfontconfig-devel
BuildRequires: x11-util-macros
#-------------------------------------
Obsoletes: 	%{name} < %version

%description
X FreeType library

#-----------------------------------------------------------

%package -n %{libxft}
Summary:  X FreeType library
Group: System/Libraries
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxft}
X FreeType library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/Libraries

Requires: %{libxft} = %{version}
Requires: freetype2-devel >= 2.1.10
Provides: xft2-devel = %{version}-%{release}
Provides: libxft-devel = %{version}-%{release}
Obsoletes: %libxft-devel

Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXft.so
%{_libdir}/pkgconfig/xft.pc
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%{_mandir}/man3/Xft.*

#-----------------------------------------------------------

%package -n %{staticdevelname}
Summary: Static development files for %{name}
Group: Development/Libraries
Requires: %{develname} = %{version}-%{release}
Provides: xft2-static-devel = %{version}-%{release}
Provides: libxft-static-devel = %{version}-%{release}
Obsoletes: %{libxft}-static-devel

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticdevelname}
Static development files for %{name}

%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/libXft.a

#-----------------------------------------------------------

%prep
%setup -q -n libXft-%{version}


%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}
		

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}



%files -n %{libxft}
%defattr(-,root,root)
%{_libdir}/libXft.so.2
%{_libdir}/libXft.so.%{version}


%changelog
* Sun Dec 04 2016 adrianomoprselli <adrianomorselli> 2.3.2-3uplos2016
- rebuild
 
* Wed Jul 20 2016 bb <bb> 2.3.2-3pclos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 2.3.2-2pclos2016
- rebuild for 2016

* Wed Jun 11 2014 bb <bb> 2.3.2-1pclos2014
- update

* Fri Feb 07 2014 bb <bb> 2.3.1-1pclos2014
- update

* Fri May 24 2013 Texstar <texstar at gmail.com> 2.2.0-2pclos2013
- rebuild

* Sat May 14 2011 Texstar <texstar at gmail.com> 2.2.0-1pclos2011
- update for new xorg server

